Bug 819187 - tar depends on xz-lzma-compat
tar depends on xz-lzma-compat
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 09:39 EDT by Ulrich Drepper
Modified: 2013-03-19 11:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 11:01:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2012-05-05 09:39:42 EDT
Description of problem:
tar's ability to handle lzma-compressed archives depends on the xz-lzma-compat package which is not installed by default.


Version-Release number of selected component (if applicable):
tar-1.26-2.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1.compress tar ball with lzma
2.run 'tar atf compressed-tar-ball.tar.lzma'
3.
  
Actual results:
$ tar atf compressed-tar-ball.tar.lzma 
tar (child): lzma: Cannot exec: No such file or directory
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2

Expected results:
No error, tarball handled.

Additional info:
Either:
1. Add xz-lzma-compat as a runtime dependency to tar

or

2. Change tar to use lzcat instead of lzma.  The former comes with the xz package.
Comment 1 Ulrich Drepper 2012-05-05 09:59:47 EDT
Little typo: for solution two, use xzcat, not lzcat.
Comment 2 Ondrej Vasik 2012-05-05 11:16:21 EDT
Thanks for suggestions. I don't like hard runtime dependency idea - as it would mean adding runtime dependency for all the other external compression programs supported by tar.
Second option, changing LZMA_PROGRAM to something from xz package probably makes sense - probably to xz --format=lzma , which will cover that.
Comment 3 Pavel Raiskup 2013-01-24 07:48:58 EST
I looked at this a little.  This could be easily done if there was possibility
to pass to tar compress command consisting of multiple arguments.  And so far
there is only possibility to pass single worded command.  Relevant upstream
discussion:

  http://lists.gnu.org/archive/html/bug-tar/2012-08/msg00001.html

There is possible to ship with GNU tar some wrapper around 'xz --format=lzma'
residing in PATH (which is ugly) or hack tar to support multi worded commands.

Pavel
Comment 4 Pavel Raiskup 2013-01-29 10:41:49 EST
Taking.
Comment 5 Pavel Raiskup 2013-01-30 09:01:27 EST
Upstream proposal:

  http://lists.gnu.org/archive/html/bug-tar/2013-01/msg00016.html
Comment 6 Pavel Raiskup 2013-03-19 11:01:47 EDT
Upstream added support for this by the commit:

http://git.savannah.gnu.org/cgit/tar.git/commit/?id=7b5e803963822e69a73d00ba62ac01b1c23f112c

I have added this quite big patch into fedora Rawhide.  This is not a so big
issue for fedora <= fc20 thus closing as RAWHIDE.

Pavel

Note You need to log in before you can comment on or make changes to this bug.